Name:       jmc
Version:    7.0.0
Release:    2%{?dist}
Summary:    Java Mission Control is a profiling and diagnostics tool

License:    UPL
URL:        http://openjdk.java.net/projects/jmc/

# original source: http://hg.openjdk.java.net/jmc/jmc/archive/tip.tar.gz
Source0:    jmc-7.0.0.tar.gz

Patch0:     0_remove_twitter.patch
Patch1:     1_javamail.patch
Patch2:     2_javax.patch
Patch3:     3_remove_profiles.patch
Patch4:     4_remove_localization.patch
Patch5:     5_remove_jfx.patch
Patch6:     6_remove_ide_jdt.patch
Patch7:     7_remove_buchen_repo.patch
Patch8:     8_add_hamcrest.patch

BuildRequires:  buildnumber-maven-plugin
BuildRequires:  directory-maven-plugin
BuildRequires:  eclipse-tests
BuildRequires:  fix-info-plist-maven-plugin
BuildRequires:  glassfish-annotation-api
BuildRequires:  jaf
BuildRequires:  jmc-core
BuildRequires:  maven-deploy-plugin
BuildRequires:  maven-enforcer-plugin
BuildRequires:  maven-local
BuildRequires:  tycho

Requires:       java-11-openjdk

%description
Java Mission Control is an advanced set of tools that enables efficient and 
detailed analysis of the extensive data collected by Java Flight Recorder. The 
tool chain enables developers and administrators to collect and analyze data 
from Java applications running locally or deployed in production environments.

%global debug_package %{nil}

%global _jmcdir %{_datadir}/%{name}

%prep
%setup -q

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

%pom_disable_module releng
%pom_disable_module l10n application
%pom_disable_module org.openjdk.jmc.updatesite.ide application
%pom_disable_module org.openjdk.jmc.updatesite.rcp application

%pom_remove_plugin com.github.spotbugs:spotbugs-maven-plugin

%build
%mvn_build -j -- -Dspotbugs.skip=true

%install

# change jmc.ini to use system java (remove -vm option line)
sed -i '/^-vm$/d' %{_builddir}/%{name}-%{version}/target/products/org.openjdk.jmc/linux/gtk/x86_64/jmc.ini
sed -i '/^..\/..\/bin\/$/d' %{_builddir}/%{name}-%{version}/target/products/org.openjdk.jmc/linux/gtk/x86_64/jmc.ini

# move contents of target/products/org.openjdk.jmc/linux/gtk/x86_64/ to /usr/lib/jmc/
install -d -m 755 %{buildroot}%{_jmcdir}/
cp -r %{_builddir}/%{name}-%{version}/target/products/org.openjdk.jmc/linux/gtk/x86_64/* %{buildroot}%{_jmcdir}/

# create symlink to jmc in /usr/bin/
install -d -m 751 %{buildroot}%{_bindir}
ln -s %{_jmcdir}/%{name} %{buildroot}%{_bindir}/%{name}

%files
%license license/LICENSE.txt
%license license/THIRDPARTYREADME.txt
%doc README.md
%{_jmcdir}/
%{_bindir}/%{name}

%changelog
* Mon Nov 05 2018 Salman Siddiqui <sasiddiq@redhat.com> - 7.0.0-2
- Changed installation directory from /usr/share/java/jmc to /usr/share/jmc

* Fri Sep 14 2018 Salman Siddiqui <sasiddiq@redhat.com> - 7.0.0-1
- Initial packaging
